/* This file is part of PyApache.
 * Copyright (C) 1996,97,98,99 by Lele Gaifax.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public License
 * as published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

/*
 * RCSfile:  $RCSfile: mod_pyapache.h,v $
 * Revision: $Revision: 4.7 $
 * Date:     $Date: 1999/06/19 15:25:52 $
 *
 * Created Thu Aug 14 09:11:48 1997.
 */

#ifndef _pyapache_H
#define _pyapache_H

/* Apache includes */
#include "httpd.h"
#include "http_core.h"
#include "http_main.h"
#include "http_config.h"
#include "http_log.h"
#include "http_protocol.h"
#include "http_request.h"
#include "util_script.h"
#include "util_date.h"

/* Python includes */

#ifdef WIN32
/* XXX is this really necessary?? */
#include <Include/Python.h>
#include <Include/compile.h>
#include <Include/eval.h>
#include <Include/structmember.h>
#include <Include/marshal.h>
#include <Include/node.h>
#else
#include <python1.5/Python.h>
#include <python1.5/compile.h>
#include <python1.5/eval.h>
#include <python1.5/structmember.h>
#include <python1.5/marshal.h>
#include <python1.5/node.h>
#endif

/* This is the structure that holds the per-directory configuration
   of this module. */
typedef struct pyapache_dir_config
{
  char *path;                   /* set with PythonPath new-path */
  int debug;                    /* set with PythonDebug On|Off */
  int verbose;                  /* set with PythonVerbose On|Off */
} pyapache_dir_config;

/* This is the structure that holds the per-server configuration
   of this module. */
typedef struct pyapache_server_config
{
  char *path;                   /* set with PyApachePath new-path */  
  char *startup;                /* set with PyApacheStartupScript filename */
  PyObject *server_dict;        /* Server-wide NameSpace */
} pyapache_server_config;

module MODULE_VAR_EXPORT PyApache_module;

#define PYTHON_MAGIC_TYPE       "application/x-python-httpd-cgi"
#define ALT_PYTHON_MAGIC_TYPE   "python-cgi-script"

#endif /* _pyapache_H */

/*
** Local Variables:
** change-log-default-name: "ChangeLog"
** eval: (add-hook 'write-contents-hooks '(lambda () (untabify 0 (point-max)) nil) t nil)
** End:
*/
